<?php
include("common/connection.php");
//login_check();
$_REQUEST['d'];
$_REQUEST['pid'];
$user_type_sql="select User_Type from user_master where User_Name='".$_SESSION['user']."'";
$user_type_query=mysqli_query($con,$user_type_sql);
$user_type=mysqli_fetch_array($user_type_query);

/*$lead_basic_sql="select * from lead_master where Lead_ID='".$Lead_Req_Id."'";
$lead_basic_query=mysqli_query($con,$lead_basic_sql);
$lead_details=mysqli_fetch_array($lead_basic_query);*/
?>

<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>view Roster Plan | Buurtzorg</title>
    <?php include("headerlink.php"); ?> 
     <link rel="stylesheet" href="css/form/all-type-forms.css">
    <!-- x-editor CSS
		============================================ -->
    <link rel="stylesheet" href="css/editor/select2.css">
    <link rel="stylesheet" href="css/editor/datetimepicker.css">
    <link rel="stylesheet" href="css/editor/bootstrap-editable.css">
    <link rel="stylesheet" href="css/editor/x-editor-style.css">

    
	<style>
	
	.table_head_class{
		background-color:#337ab7;
		height:30px;
		line-height:30px;
		text-align:center;
		color:#FFF;
		font-size:15px;
	}
	
		.table_body_class{
		background-color:#f7f7f6;
		height:auto;
		padding:5px 2%
	}
	
	
	</style>
	
	
	
	
    <script>
	function unlock_form() {
	 
	$('#edit_c_form  input'). prop("disabled", false);
	//$('#not_editable  input'). prop("disabled", true);
	$('#edit_c_form  textarea'). prop("disabled", false);
	$('#edit_c_form  select'). prop("disabled", false);
	$('#update_btn').show();
	$('#edit_btn_1').hide();
	
 
	}
	</script>
    
    <script>
	function call_status(per) {
	 
	// alert(per);
	if(per=='Call Later') {
	$('#call_later').show();
	$('#call_later_time').show();
	
	} 	
	else{
	
	  $('#call_later').hide();
	  $('#call_later_time').hide();
	}
 
	}
	
 
	</script> 
    
    <script>
function isNumberKey(evt) 
{
var charCode = (evt.which) ? evt.which : event.keyCode; 
if (charCode != 46 && charCode > 31 && (charCode < 48 || charCode > 57)) 
{
return false;
} 
else 
{
return true;
} 
} 

</script>
    
<script>
function confirm_edit(par)
{
//alert(par);
$("#update1"+par).hide();
$("#update_status"+par).show();
$("#drop_down1"+par).show();
$("#drop_down2"+par).show();
$("#drop_down3"+par).show();
$("#drop_down4"+par).show();
//$('#check_d').show();
//$('#countday').show();
}

</script>    
    
<script>
function update_tna(par)
{
var edit_fromtime=$('#edit_fromtime'+par).val();
var edit_totime=$('#edit_totime'+par).val();
var edit_tna=$('#edit_tna'+par).val();
var Patient=$('#Patient'+par).val();
var update_date=$('#update_date').val();
var hour_d=$('#hour_d').val();
//var finish12=$('#finish12').val();
//alert(update_date);
	$.ajax({
	url:'ajax-patient-view-roster-plan.php',
	type:'post',
	data:'id=' + par + '&fromtime=' + edit_fromtime + '&totime=' + edit_totime + '&edittna=' + edit_tna + '&Patient=' + Patient + '&update_date=' + update_date + '&hour_d=' + hour_d,
	success:function(f)
	{
	//alert(f);
	if(f==1)
	{
	alert('Please select start time before 7:00pm');
	}
	alert('plan updated successfully');
	window.location.href='view-patient-roster-plan.php?d=<?php echo $_REQUEST['d']; ?>&pid=<?php echo $_REQUEST['pid']; ?>';
	}
	
	});
}
</script>
<script>
function get_time(par)
{
var from_time=$("#edit_fromtime"+ par).val();
var from_date=$("#update_date").val();
var work_hour=$("#edit_totime"+ par).val();
//alert(from_date);
	$.ajax({
		
		url:'ajax-calculate-time.php',
		type:'POST',
		data:'time1=' + from_time + '&date1=' + from_date + '&work_hour=' + work_hour,
		success:function(f)
		{
		//alert(f);
		$('#worket').show();
		$('#hour1'+ par).show();
		$('#hour_d').val(f);
		}
	});
}

</script>      
</head>

<body>
    <!--[if lt IE 8]>
		<p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
	<![endif]-->
    <!-- Start Left menu area -->
    
    
    
    <?php //include("left-menu.php"); ?>
    
    
    
    <!-- End Left menu area -->
    <!-- Start Welcome area -->
    <div class="all-content-wrapper" style="margin-left:0px;">
        
        
       <?php //include("header-menu.php"); ?> 
        
       
                                        	
        <!-- Static Table Start -->
        <div class="static-table-area">
        
       
        
        
        
            <div class="container-fluid">
                <div class="row">
                    <?php 
						$patient="select Patient_Name from patient_master where Patient_Id='".$_REQUEST['pid']."'"; 
						$patient_query=mysqli_query($con,$patient);
						$patient_fetch=mysqli_fetch_array($patient_query);

					 ?>
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
                        <div class="sparkline9-list analysis-progrebar-ctn" style="background-color:#FFFFFF">
                            <div class="sparkline9-hd">
                                <div class="main-sparkline9-hd">
                                    <h1 style="margin-bottom:15px">Roster Plan for <?php echo $patient_fetch['Patient_Name'];?> on <?php echo date('d-M-y',strtotime($_REQUEST['d']));?> </h1>
                                   
                                    
                                    
                                       <div class="row" style="padding:0; background-color:#FFFFFF">
      
                                
                                
										
                                        <?php
										$edit_sql="select * from roster_master where Patient_Id='".$_REQUEST['pid']."' and Treatment_Service_Date='".$_REQUEST['d']."'";
										$edit_sql_query=mysqli_query($con,$edit_sql);
										
										?>
										
										 <div class="col-sm-12">
                                            <a href="add-patients-roster-plan.php?d=<?php echo $_REQUEST['d'] ?>&pid=<?php echo $_REQUEST['pid'];
?>"><input type="button" class="btn btn-custon-rounded-three btn-primary" name="update" value="ADD NEW" style="float:right; margin-bottom:10px;"></a>
                                    	  </div>
										  
										  
                                        <form method="post" action="" id="edit_lead">
                                        <input type="hidden" name="update_date" id="update_date" value="<?php echo  $_REQUEST['d'];?>">
                                        
                                        
                                  <div class="col-sm-12">
								   <table width="100%" border="1" cellspacing="0" cellpadding="0" bordercolor="#5e5e5e" style="border-collapse:collapse;">
								   
								   <tr>
                                   <td width="%" class="table_head_class">From Duty Time Start</td>
								   <td width="%" class="table_head_class">Number Of Working Hours</td>
                                   <td width="%" class="table_head_class" id="worket" style="display:none;">Work End Time</td>
								   <td width="%" class="table_head_class">TNA</td>
								   <td width="%" class="table_head_class">Action</td>
								   			   
								   	</tr>
									 <?php 
								   //$fetch_data="select * from roster_master where Patient_Id='".$_REQUEST['pid']."' and Treatment_Service_Date='".$_REQUEST['d']."'";
								   //$fetch_query=mysqli_query($con,$fetch_data);
									if (mysqli_num_rows($edit_sql_query)>0)
									{
									$i=1;
										while($edit_sql_fetch=mysqli_fetch_array($edit_sql_query))
										{
										$patient="select * from employee_master where SLN='".$edit_sql_fetch['TNA_Name']."'";
										$patient_query=mysqli_query($con,$patient);
										$patient_fetch=mysqli_fetch_array($patient_query);
										$name=$patient_fetch['First_Name']." ".$patient_fetch['Last_Name'];
								   ?>
									  <tr>
                                     
								   <td class="table_body_class">
								   <input name="from_time" id="from_time" type="text" class="form-control" placeholder="From Time" value="<?php  echo date('h.i a',strtotime($edit_sql_fetch['Duty_Hour_Start_Time'])) ?>" readOnly>
								   <div class="form-group" id="drop_down1<?php echo $i; ?>" style="display:none;">
								   <select name="edit_fromtime" class="form-control" id="edit_fromtime<?php echo $i; ?>">
                                   			<option value="" style="font-size:10px;">Select Duty Hour From</option>
                                            <?php
											$SqlAssLoc="select * from  roster_time_master";
											$RsAssLoc=mysqli_query($con,$SqlAssLoc);
											if(mysqli_num_rows($RsAssLoc)>0)
											{
											while($RowLoc=mysqli_fetch_array($RsAssLoc))
												{
											?>
                                               <option value="<?php echo $RowLoc['Start']; ?>"><?php echo date('h.i a',strtotime($RowLoc['Start'])); ?></option>
                                             <?php
												}
											}
											?>
                                             </select>
								   		</div>
								   </td>
								  <td class="table_body_class">
								  <input name="to_time" id="to_time" type="text" class="form-control" placeholder="To Time" value="<?php echo $edit_sql_fetch['Number_Of_Working_Hour'] ?>" readOnly>
                                  
								   <div class="form-group" id="drop_down2<?php echo $i; ?>" style="display:none;">
								   <select name="edit_totime" class="form-control" id="edit_totime<?php echo $i; ?>" onChange="get_time(<?php echo $i; ?>)">
                                   			<option value="" style="font-size:10px;">Number Of Working Hours</option>
                                            <?php
											$SqlAssLoc="select * from  roster_hours";
											$RsAssLoc=mysqli_query($con,$SqlAssLoc);
											if(mysqli_num_rows($RsAssLoc)>0)
											{
											while($RowLoc=mysqli_fetch_array($RsAssLoc))
												{
											?>
                                               <option value="<?php echo $RowLoc['Hours']; ?>"><?php echo $RowLoc['Hours']; ?></option>
                                               <?php
													}
												}
												?>
                                             </select>
                                       </div>
                                     
								   </td>
                                   
                 					<td class="table_body_class" style="display:none;" id="hour1<?php echo $i; ?>">
                                    <div class="form-group col-xs-3"><label>Work End Time</label> 
                                    <input type="text"class="form-group"  id="hour_d" name="hour_d"  readonly>
									</div>
                                    </td>
                                    
                                    
								   <td class="table_body_class">
                              <input name="tna" id="tna" type="text" class="form-control" placeholder="TNA" value="<?php echo $name ?>" readonly />
								    <div class="form-group" id="drop_down3<?php echo $i; ?>" style="display:none;">
								   <select name="edit_tna" class="form-control" id="edit_tna<?php echo $i; ?>">
								   <option value="">SELECT TNA</option>
								   <?php
											   
											   $Sql_tna="select * from employee_master where Designation='TNA'";
                                               $Sql_tna_query= mysqli_query($con,$Sql_tna);
											   if(mysqli_num_rows($Sql_tna_query)>0)
											   {
                                               while($RowLoc=mysqli_fetch_array($Sql_tna_query))
											   		{
													$TnaName=$RowLoc['First_Name']." ".$RowLoc['Last_Name'];
											 ?>
                                            
                                               <option value="<?php echo $RowLoc['SLN']; ?>"><?php echo $TnaName; ?></option>
											   <?php 
													}
											   }	
											   ?>
											     </select>
                                             </div>
                                             </td>
                                             
                                             </div>
									
                                             
                                             <!--<td class="table_body_class">
                                   <input name="Patient" id="Patient<?php echo $i; ?>" type="text" class="form-control" placeholder="Patient" value="<?php echo $edit_sql_fetch['Patient_Id'] ?>" readOnly> 
                                             </td>-->
                                               <input name="Patient" id="Patient<?php echo $i; ?>" type="hidden" class="form-control" placeholder="Patient" value="<?php echo $edit_sql_fetch['Patient_Id'] ?>" readOnly>
											
								   <td class="table_body_class"><input type="button" class="btn btn-custon-rounded-three btn-primary" name="update1"  id="update1<?php echo $i; ?>" value="EDIT" style="margin-left:50px;" onClick="confirm_edit(<?php echo $i; ?>)">
								   
								   <input type="button" class="btn btn-custon-rounded-three btn-primary" name="update_status" id="update_status<?php echo $i; ?>" value="UPDATE" style="margin-left:40px; display:none;" onClick="update_tna(<?php echo $i; ?>)">
								   
								   
								   </td>
								   	</tr>
								    <?php
									$i++;
											}
										}else	
										{
													?>
													<tr><td colspan="4" style="text-align:center;">No Data Found</td></tr>
													<?php
												}
												?>
								   
								  
								   </table>
								   </div>
                                   <div class="col-xs-12" style="padding:0px; display:none;" id="check_d">
                                      <div class="form-group col-xs-3" style="padding-top:15px;"> 
                                       <label><input type="checkbox" name="check_day" id="check_day" onClick="select_day()" /> Do you want to repeat this schedule next some days</label>
                                      </div>
                                      
                                       <div class="form-group col-xs-3"> 
                                      <!-- <label>Select Days </label>-->
                                       <select name="countday" class="form-control" id="countday" style="display:none;">
                                            
                                               <option value="">Select Days</option>
                                             <?php
											   
											   $Sql_tna1="select * from roster_hours";
                                               $Sql_tna_query1= mysqli_query($con,$Sql_tna1);
                                               while($Rowtna1=mysqli_fetch_array($Sql_tna_query1))
											   		{
											 ?>
                                              <option value="<?php echo $Rowtna1['Hours']; ?>"><?php echo $Rowtna1['Hours']; ?></option>
                                                <?php
												}
												?>
                                             </select>
                                      </div>
                                    </div>
                                        </form> 
                                        <!--<div class="col-sm-12">
                                            <a href="add-roster-plan.php"><input type="button" class="btn btn-custon-rounded-three btn-primary" name="update" value="ADD NEW" style="float:right;margin-top:10px;"></a>
                                    	  </div>-->
                                         
                                       </div>
                                       
                                       
                                        
                                         
                                         
                                         
                                           
                                </div>
                            </div>
                             
                         </div>
                         
                    </div> 
                     
                    	
                                         
                        </div>
                    </div>
                </div>
                
                
            </div>
        </div>
        <!-- Static Table End -->
        <!-- <div class="footer-copyright-area">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="footer-copy-right">
                           <p>Copyright © 2019. All rights reserved. </p>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>-->
    </div>

     <!-- jquery
		============================================ -->
     
       <script src="js/vendor/jquery-1.12.4.min.js"></script>
    <!-- bootstrap JS
		============================================ -->
    <script src="js/bootstrap.min.js"></script>
    <!-- wow JS
		============================================ -->
    <script src="js/wow.min.js"></script>
    <!-- price-slider JS
		============================================ -->
    <script src="js/jquery-price-slider.js"></script>
    <!-- meanmenu JS
		============================================ -->
    <script src="js/jquery.meanmenu.js"></script>
    <!-- owl.carousel JS
		============================================ -->
    <script src="js/owl.carousel.min.js"></script>
    <!-- sticky JS
		============================================ -->
    <script src="js/jquery.sticky.js"></script>
    <!-- scrollUp JS
		============================================ -->
    <script src="js/jquery.scrollUp.min.js"></script>
    
    <script src="js/scrollbar/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/scrollbar/mCustomScrollbar-active.js"></script>

     
    
     <!--  editable JS
		============================================ -->
    <script src="js/editable/jquery.mockjax.js"></script>
    <script src="js/editable/mock-active.js"></script>
    <script src="js/editable/select2.js"></script>
    <script src="js/editable/moment.min.js"></script>
    <script src="js/editable/bootstrap-datetimepicker.js"></script>
    <script src="js/editable/bootstrap-editable.js"></script>
    <script src="js/editable/xediable-active.js"></script>
 <!-- datepicker JS
		============================================ -->
    <script src="js/datepicker/jquery-ui.min.js"></script>
    <script src="js/datepicker/datepicker-active.js"></script>
    
    <!-- mCustomScrollbar JS
		============================================ -->
    <script src="js/scrollbar/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/scrollbar/mCustomScrollbar-active.js"></script>
    <!-- metisMenu JS
		============================================ -->
    <script src="js/metisMenu/metisMenu.min.js"></script>
    <script src="js/metisMenu/metisMenu-active.js"></script>
    <!-- peity JS
		============================================ -->
    <script src="js/peity/jquery.peity.min.js"></script>
    <script src="js/peity/peity-active.js"></script>
    <!-- sparkline JS
		============================================ -->
    <script src="js/sparkline/jquery.sparkline.min.js"></script>
    <script src="js/sparkline/sparkline-active.js"></script>
    <!-- tab JS
		============================================ -->
    <script src="js/tab.js"></script>
    <!-- plugins JS
		============================================ -->
    <script src="js/plugins.js"></script>
    <!-- main JS
		============================================ -->
    <script src="js/main.js"></script>
    <!-- tawk chat JS
		============================================ -->
    <script src="js/tawk-chat.js"></script>
   <!-- form validate JS
		============================================ -->
    <script src="js/form-validation/jquery.form.min.js"></script>
    <script src="js/form-validation/jquery.validate.min.js"></script>
    <script src="js/form-validation/form-active.js"></script>
    
    <script>
$(document).ready(function() {
   $("body").tooltip({ 
   	selector: '[data-toggle=tooltip]' 
	 });
});
 
</script> 
  
               
                                               <script>
 
$('button.call_btn_1').click(function() {
    //var text = $(this).text();
	var text = $(this).data('value_santanu');
	//alert(text)
	$('#hidden_call_box').val(text);
	$('#response').val(text);
    // do something with the text
});
												</script> 
                                                
                                                
                                                
                                                
       <!-- bootstrap-clockpicker -->
      <link rel="stylesheet" type="text/css" href="css/bootstrap-clockpicker.min.css">
    <script type="text/javascript" src="js/bootstrap-clockpicker.min.js"></script>


 <script type="text/javascript">
$('.clockpicker').clockpicker()
	.find('input').change(function(){
		console.log(this.value);
	});
var input = $('#single-input').clockpicker({
	placement: 'bottom',
	align: 'left',
	autoclose: true,
	'default': 'now'
});

$('.clockpicker-with-callbacks').clockpicker({
		donetext: 'Done',
		init: function() { 
			console.log("colorpicker initiated");

		},
		beforeShow: function() {
			console.log("before show");
		},
		afterShow: function() {
			console.log("after show");
		},
		beforeHide: function() {
			console.log("before hide");
		},
		afterHide: function() {
			console.log("after hide");
		},
		beforeHourSelect: function() {
			console.log("before hour selected");
		},
		afterHourSelect: function() {
			console.log("after hour selected");
		},
		beforeDone: function() {
			console.log("before done");
		},
		afterDone: function() {
			console.log("after done");
		}
	})
	.find('input').change(function(){
		console.log(this.value);
	});

// Manually toggle to the minutes view
$('#check-minutes').click(function(e){
	// Have to stop propagation here
	e.stopPropagation();
	input.clockpicker('show')
			.clockpicker('toggleView', 'minutes');
});
if (/mobile/i.test(navigator.userAgent)) {
	$('input').prop('readOnly', true);
}
</script>                                          
                                                
                                                
 <script type="text/javascript">
$("#edit_lead").validate({
          
      showErrors: function(errorMap, errorList) {
          // Clean up any tooltips for valid elements
          $.each(this.validElements(), function (index, element) {
              var $element = $(element);
              $element.data("title", "") // Clear the title - there is no error associated anymore
                  .removeClass("error")
                  .tooltip("destroy");
          });
          // Create new tooltips for invalid elements
          $.each(errorList, function (index, error) {
              var $element = $(error.element);

              $element.tooltip("destroy") // Destroy any pre-existing tooltip so we can repopulate with new tooltip content
                  .data("title", error.message)
                  .addClass("error")
                  .tooltip(); // Create a new tooltip based on the error messsage we just set in the title
          });
      },

     
	  
});
</script>                                               
                                                
    
</body>

</html>